<?xml version="1.0" encoding="UTF-8" ?>

<node name="/" xmlns:tp="http://telepathy.freedesktop.org/wiki/DbusSpec#extensions-v0">
  <interface name="org.freedesktop.NetworkManager.Device.Wireless">
    <method name="GetAccessPoints">
      <annotation name="org.freedesktop.DBus.GLib.CSymbol" value="impl_device_get_access_points"/>
      <arg name="access_points" type="ao" direction="out">
        <tp:docstring>
          List of access point object paths
        </tp:docstring>
      </arg>
      <tp:docstring>
        Get the list of access points visible to this device.
      </tp:docstring>
    </method>

    <property name="HwAddress" type="s" access="read">
      <tp:docstring>
        The hardware address of the device.
      </tp:docstring>
    </property>
    <property name="Mode" type="u" access="read" tp:type="NM_802_11_MODE">
      <tp:docstring>
        The operating mode of the wireless device.
      </tp:docstring>
    </property>

    <property name="Bitrate" type="u" access="read">
      <tp:docstring>
        The bit rate currently used by the wireless device, in kilobits/second (Kb/s).
      </tp:docstring>
    </property>
    <property name="ActiveAccessPoint" type="o" access="read">
      <tp:docstring>
        Object path of the access point currently used by the wireless device.
      </tp:docstring>
    </property>
    <property name="WirelessCapabilities" type="u" access="read" tp:type="NM_802_11_DEVICE_CAP">
      <tp:docstring>
        The capabilities of the wireless device.
      </tp:docstring>
    </property>

    <signal name="PropertiesChanged">
        <arg name="properties" type="a{sv}" tp:type="String_Variant_Map">
	<annotation name="com.trolltech.QtDBus.QtTypeName.In0" value="QVariantMap"/>
            <tp:docstring>
                A dictionary containing the FIXME: check changed parameters.
            </tp:docstring>
        </arg>
        <tp:docstring>
            Emitted when the wireless device's properties changed.
        </tp:docstring>
    </signal>

    <signal name="AccessPointAdded">
        <arg name="access_point" type="o">
            <tp:docstring>
                The object path of the newly found access point.
            </tp:docstring>
        </arg>
        <tp:docstring>
            Emitted when a new access point is found by the device.
        </tp:docstring>
    </signal>

    <signal name="AccessPointRemoved">
      <arg name="access_point" type="o">
            <tp:docstring>
                The object path of the access point that has disappeared.
            </tp:docstring>
        </arg>
        <tp:docstring>
            Emitted when an access point disappears from view of the device.
        </tp:docstring>
    </signal>

    <tp:flags name="NM_802_11_DEVICE_CAP" type="u">
      <tp:docstring>
        Flags describing the capabilities of a wireless device.
      </tp:docstring>
      <tp:flag suffix="NONE" value="0x0">
        <tp:docstring>Null capability - syntactic sugar for no capabilities supported.  Do not AND this with other capabilities!</tp:docstring>
      </tp:flag>
      <tp:flag suffix="CIPHER_WEP40" value="0x1">
        <tp:docstring>The device supports the 40-bit WEP cypher.</tp:docstring>
      </tp:flag>
      <tp:flag suffix="CIPHER_WEP104" value="0x2">
        <tp:docstring>The device supports the 104-bit WEP cypher.</tp:docstring>
      </tp:flag>
      <tp:flag suffix="CIPHER_TKIP" value="0x4">
        <tp:docstring>The device supports the TKIP cypher.</tp:docstring>
      </tp:flag>
      <tp:flag suffix="CIPHER_CCMP" value="0x8">
        <tp:docstring>The device supports the CCMP cypher.</tp:docstring>
      </tp:flag>
      <tp:flag suffix="WPA" value="0x10">
        <tp:docstring>The device supports the WPA encryption/authentication protocol.</tp:docstring>
      </tp:flag>
      <tp:flag suffix="RSN" value="0x20">
        <tp:docstring>The device supports the RSN encryption/authentication protocol.</tp:docstring>
      </tp:flag>
    </tp:flags>
  </interface>
</node>
